## nanopass-framework-scheme 1.9+git20160429.g1f7e80b

=== doc/Makefile ===
# define default document pathname here
# override on command line with 'make x=newdoc'
x = user-guide

# define latex processor: latex or pdflatex
latex = pdflatex

# define stex macro files here
stexmacrofiles = 

# list bibliography files here
bib = user-guide.bib

# define index if an index is to be generated
# index=yes

doit: $x.pdf

include ~/stex/Mf-stex

# define or override suffixes here

# define any additional targets here

# define any dependencies here

# define cleanup targets here:

$(x).clean:

$(x).reallyclean:

$(x).reallyreallyclean:

## nanopass-framework-scheme 1.9%2Bgit20160429.g1f7e80b

=== debian/control ===
Source: nanopass-framework-scheme
Section: lisp
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 10),
    chezscheme <!nocheck>
Standards-Version: 4.1.4
Homepage: https://github.com/nanopass/nanopass-framework-scheme
Vcs-Git: https://salsa.debian.org/debian/nanopass-framework-scheme.git
Vcs-Browser: https://salsa.debian.org/debian/nanopass-framework-scheme

Package: r6rs-nanopass-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: chezscheme | ikarus
Description: embedded DSL for writing compilers in Scheme
 The nanopass framework is an embedded DSL for writing compilers in
 Scheme as a series of small, single-purpose passes. It is used in the
 Chez Scheme compiler.

## nanopass-framework-scheme 1.9+git20160429.g1f7e80b

=== debian/changelog ===
nanopass-framework-scheme (1.9+git20160429.g1f7e80b-1build1) bionic; urgency=medium

  * Bootstrap by skipping dh_auto_test and its chezscheme dependency

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Feb 2018 19:28:02 -0500

nanopass-framework-scheme (1.9+git20160429.g1f7e80b-1) unstable; urgency=low

  * Initial release (closes: #883429).

 -- Göran Weinholt <goran@weinholt.se>  Sun, 10 Dec 2017 21:32:23 +0100

=== debian/control ===
Source: nanopass-framework-scheme
Section: lisp
Priority: optional
Maintainer: Göran Weinholt <goran@weinholt.se>
Build-Depends: debhelper (>= 10),
#    chezscheme <!nocheck>
Standards-Version: 4.1.2
Homepage: https://github.com/nanopass/nanopass-framework-scheme
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nanopass-framework-scheme.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/nanopass-framework-scheme.git

Package: r6rs-nanopass-dev
Architecture: all
Depends: ${misc:Depends}
Recommends: chezscheme | ikarus
Description: embedded DSL for writing compilers in Scheme
 The nanopass framework is an embedded DSL for writing compilers in
 Scheme as a series of small, single-purpose passes. It is used in the
 Chez Scheme compiler.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs LOG

override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	scheme-script ./test-all.ss
#endif

=== debian/watch ===
version=4
opts="mode=git" https://github.com/nanopass/nanopass-framework-scheme.git \
  refs/tags/v([\d\.]+) dversionmangle=s/\+dfsg\d*$// debian uupdate

## nanopass-framework-scheme 1.9.2

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 # define default document pathname here
+
+Scheme=scheme
+STEXLIB=${HOME}/stex
 # override on command line with 'make x=newdoc'
 x = user-guide

=== debian/changelog ===
nanopass-framework-scheme (1.9.2-1) unstable; urgency=low

  * New upstream release
  * Cherry-pick "Fix the generated parser issue." from upstream
  * debian/watch: Fix version number handling
  * debian/copyright: Update upstream copyrights
  * debian/copyright: Use Expat for debian/*, same as upstream
  * debian/control: Bump to Standards-Version 4.6.0 (no changes)
  * debian/control: Use debhelper-compat (= 11)
  * debian/gbp.conf: Use new DEP-14 branch names

 -- Göran Weinholt <weinholt@debian.org>  Tue, 07 Dec 2021 20:50:32 +0100

nanopass-framework-scheme (1.9+git20160429.g1f7e80b-2) unstable; urgency=low

  [ Barak A. Pearlmutter ]
  * git-build-package configuration
  * add debian collab-maint packaging repo
  * update URLs and policy

  [ Göran Weinholt ]
  * Update Maintainer to my @debian.org address
  * Add Barak A. Pearlmutter to Uploaders. Thanks for sponsoring!
  * Bump to Standards-Version 4.1.4 (no changes)
  * Mark r6rs-nanopass-dev with Multi-Arch: foreign

 -- Göran Weinholt <weinholt@debian.org>  Thu, 10 May 2018 15:45:31 +0200

=== debian/control ===
Source: nanopass-framework-scheme
Section: lisp
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 11),
    chezscheme <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/nanopass/nanopass-framework-scheme
Vcs-Git: https://salsa.debian.org/debian/nanopass-framework-scheme.git
Vcs-Browser: https://salsa.debian.org/debian/nanopass-framework-scheme

Package: r6rs-nanopass-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: chezscheme | ikarus
Description: embedded DSL for writing compilers in Scheme
 The nanopass framework is an embedded DSL for writing compilers in
 Scheme as a series of small, single-purpose passes. It is used in the
 Chez Scheme compiler.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs LOG

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	scheme-script ./test-all.ss
endif

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://github.com/nanopass/nanopass-framework-scheme.git \
refs/tags/v@ANY_VERSION@
